<?php

namespace Bydedi\Shipping\Ups\Service\Exception;

use Throwable;

/**
 * Class Exception
 *
 * @package Bydedi\Shipping\Ups\Service\Exception
 */
class Exception extends \Exception
{

    protected $error;

    /**
     * Exception constructor.
     *
     * @param string         $error
     * @param string         $message
     * @param int            $code
     * @param Throwable|null $previous
     */
    public function __construct($error, $message = '', $code = 0, Throwable $previous = null)
    {
        $this->error = $error;
        parent::__construct($message, $code, $previous);
    }


    /**
     * @return mixed
     */
    public function getError()
    {
        return $this->error;
    }
}
