<?php

namespace Bydedi\Shipping\Ups\Service\Exception;

use Exception;
use Throwable;

/**
 * Class ResponseSyntaxErrorException
 */
class ResponseSyntaxErrorException extends Exception
{

    protected $plainResponse;

    /**
     * ResponseSyntaxErrorException constructor.
     *
     * @param string         $plainResponse
     * @param string         $message
     * @param int            $code
     * @param Throwable|null $previous
     */
    public function __construct($plainResponse, $message = '', $code = 0, Throwable $previous = null)
    {
        $this->plainResponse = $plainResponse;
        parent::__construct($message, $code, $previous);
    }


    /**
     * @return string
     */
    public function getPlainResponse()
    {
        return $this->plainResponse;
    }
}
