<?php

namespace Bydedi\Shipping\Ups\Service\Locator\Json;

use Bydedi\Shipping\Ups\Service\Locator\Params\AbstractParam;
use Bydedi\Shipping\Ups\Service\Locator\Params\AccessRequest;
use Bydedi\Shipping\Ups\Service\Locator\Params\LocatorRequest;
use Bydedi\Shipping\Ups\Service\Locator\Params\UpsParam;

/**
 * Class LocatorParam
 */
class LocatorParam extends AbstractParam
{

    /**
     * @var AccessRequest
     */
    protected $AccessRequest;

    /**
     * @var LocatorRequest
     */
    protected $LocatorRequest;


    /**
     * Request constructor.
     *
     * @param AccessRequest           $AccessRequest
     * @param LocatorRequest|UpsParam $LocatorRequest
     */
    public function __construct(AccessRequest $AccessRequest, LocatorRequest $LocatorRequest)
    {
        $this->AccessRequest  = $AccessRequest;
        $this->LocatorRequest = $LocatorRequest;
    }

    /**
     * {@inheritdoc}
     */
    protected function toArray()
    {
        return [
            'AccessRequest'  => $this->AccessRequest,
            'LocatorRequest' => $this->LocatorRequest,
        ];
    }
}
