<?php

namespace Bydedi\Shipping\Ups\Service\Locator\Params;

use DOMDocument;
use DOMNode;

/**
 * Class AccessRequest
 */
class AccessRequest extends AbstractParam
{

    protected $AccessLicenseNumber;

    protected $UserId;

    protected $Password;


    /**
     * AccessRequest constructor.
     *
     * @param $AccessLicenseNumber
     * @param $UserId
     * @param $Password
     */
    public function __construct($AccessLicenseNumber, $UserId = '', $Password = '')
    {
        $this->AccessLicenseNumber = $AccessLicenseNumber;
        $this->UserId              = $UserId;
        $this->Password            = $Password;
    }

    /**
     * {@inheritdoc}
     */
    public function xmlSerialize(DOMDocument $document, DOMNode $node = null)
    {
        if ($node === null) {
            $node = $document->createElement('AccessRequest');
            $document->appendChild($node);
        }
        parent::xmlSerialize($document, $node);
    }

    /**
     * {@inheritdoc}
     */
    protected function toArray()
    {
        return [
            'AccessLicenseNumber' => $this->AccessLicenseNumber,
            'UserId'              => $this->UserId,
            'Password'            => $this->Password,
        ];
    }
}
