<?php

namespace Bydedi\Shipping\Ups\Service\Locator\Params;

/**
 * Class AddressKeyFormat
 */
class AddressKeyFormat extends AbstractParam
{
    /**
     * @var string
     */
    protected $AddressLine;

    /**
     * @var string
     */
    protected $PoliticalDivision2;

    /**
     * @var string
     */
    protected $PoliticalDivision1;

    /**
     * @var string
     */
    protected $PostcodePrimaryLow;

    /**
     * @var string
     */
    protected $PostcodeExtendedLow;

    /**
     * @var
     */
    protected $CountryCode;


    /**
     * AddressKeyFormat constructor.
     *
     * @param string $AddressLine
     * @param string $PoliticalDivision2  the city name
     * @param string $PoliticalDivision1  the state
     * @param string $PostcodePrimaryLow
     * @param string $PostcodeExtendedLow
     * @param string $CountryCode
     */
    public function __construct(
        $AddressLine,
        $PoliticalDivision2,
        $PoliticalDivision1,
        $PostcodePrimaryLow,
        $PostcodeExtendedLow,
        $CountryCode
    ) {
        $this->AddressLine         = $AddressLine;
        $this->PoliticalDivision2  = $PoliticalDivision2;
        $this->PoliticalDivision1  = $PoliticalDivision1;
        $this->PostcodePrimaryLow  = $PostcodePrimaryLow;
        $this->PostcodeExtendedLow = $PostcodeExtendedLow;
        $this->CountryCode         = $CountryCode;
    }


    /**
     * @return array
     */
    protected function toArray()
    {
        return [
            'AddressLine'         => $this->AddressLine,
            'PoliticalDivision2'  => $this->PoliticalDivision2,
            'PoliticalDivision1'  => $this->PoliticalDivision1,
            'PostcodePrimaryLow'  => $this->PostcodePrimaryLow,
            'PostcodeExtendedLow' => $this->PostcodeExtendedLow,
            'CountryCode'         => $this->CountryCode,
        ];
    }
}
