<?php

namespace Bydedi\Shipping\Ups\Service\Locator\Params;

/**
 * Class LocationSearchCriteria
 */
class LocationSearchCriteria extends AbstractParam
{

    /**
     * @var Option|null
     */
    protected $SearchOption;

    /**
     * @var integer
     */
    protected $MaximumListSize;

    /**
     * @var integer
     */
    protected $SearchRadius;

    /**
     * @var AccessPointSearch|null
     */
    protected $AccessPointSearch;


    /**
     * LocationSearchCriteria constructor.
     *
     * @param Option  $SearchOption
     * @param integer $MaximumListSize
     * @param integer $SearchRadius
     */
    public function __construct(
        $MaximumListSize,
        $SearchRadius,
        Option $SearchOption = null,
        AccessPointSearch $accessPointSearch = null
    ) {
        $this->SearchOption      = $SearchOption;
        $this->MaximumListSize   = $MaximumListSize;
        $this->SearchRadius      = $SearchRadius;
        $this->AccessPointSearch = $accessPointSearch;
    }


    /**
     * {@inheritdoc}
     */
    protected function toArray()
    {
        return [
            'SearchOption'      => $this->SearchOption,
            'MaximumListSize'   => $this->MaximumListSize,
            'SearchRadius'      => $this->SearchRadius,
            'AccessPointSearch' => $this->AccessPointSearch,
        ];
    }
}
