<?php

namespace Bydedi\Shipping\Ups\Service\Locator\Params;

/**
 * Class OriginAddress
 */
class OriginAddress extends AbstractParam
{

    protected $PhoneNumber;

    /**
     * @var AddressKeyFormat
     */
    protected $AddressKeyFormat;


    /**
     * OriginAddress constructor.
     *
     * @param $PhoneNumber
     * @param AddressKeyFormat $AddressKeyFormat
     */
    public function __construct($PhoneNumber, AddressKeyFormat $AddressKeyFormat)
    {
        $this->PhoneNumber      = $PhoneNumber;
        $this->AddressKeyFormat = $AddressKeyFormat;
    }


    /**
     * {@inheritdoc}
     */
    protected function toArray()
    {
        return [
            'PhoneNumber'      => $this->PhoneNumber,
            'AddressKeyFormat' => $this->AddressKeyFormat,
        ];
    }
}
