<?php

namespace Bydedi\Shipping\Ups\Service\Locator\Params;

/**
 * Class Request
 */
class Request extends AbstractParam
{

    /**
     * @var string
     */
    protected $RequestAction;

    /**
     * @var string
     */
    protected $RequestOption = '1';

    /**
     * @var TransactionReference
     */
    protected $TransactionReference;


    /**
     * Request constructor.
     *
     * @param string $RequestAction
     * @param string $RequestOption
     */
    public function __construct($RequestAction, $RequestOption, TransactionReference $reference)
    {
        $this->RequestAction        = $RequestAction;
        $this->RequestOption        = $RequestOption;
        $this->TransactionReference = $reference;
    }


    /**
     * @return array
     */
    protected function toArray()
    {
        return [
            'RequestAction'        => $this->RequestAction,
            'RequestOption'        => $this->RequestOption,
            'TransactionReference' => $this->TransactionReference,
        ];
    }
}
