<?php

namespace Bydedi\Shipping\Ups\Service\Locator\Xml;

use Bydedi\Shipping\Relay;
use Bydedi\Shipping\Ups\Service\Locator\Params\AccessRequest;
use Bydedi\Shipping\Ups\Service\Locator\Params\LocatorRequest;
use Bydedi\Shipping\Ups\Service\Locator\RelayFetcherInterface;

/**
 * Class RelayFetcher
 */
class RelayFetcher implements RelayFetcherInterface
{

    /**
     * @var Client
     */
    protected $client;

    /**
     * @var RelayFormatter
     */
    protected $formatter;


    /**
     * RelayFetcher constructor.
     *
     * @param Client         $client
     * @param RelayFormatter $formatter
     */
    public function __construct(Client $client, RelayFormatter $formatter)
    {
        $this->client    = $client;
        $this->formatter = $formatter;
    }


    /**
     * @param  LocatorRequest $param
     * @param  AccessRequest  $accessRequest
     * @return Relay[]
     */
    public function fetchRelays(LocatorRequest $param, AccessRequest $accessRequest)
    {
        return $this->formatter->makeRelays($this->client->doRequest($accessRequest, $param));
    }
}
