<?php



namespace Bydedi\Shipping\Ups\Service\Locator;

use PHPUnit_Framework_TestCase;
use Bydedi\Shipping\Ups\Service\Locator\Params\UpsParam;

class RequestFormatterTest extends PHPUnit_Framework_TestCase
{
    public function testGetRequest()
    {
        $requestFactory = new RequestFormatter('api_key', "test", "test");
        $param = $requestFactory->getRequest("rue", "Lyon", "69009", "FR", "0623456789", "fr_FR");
        $this->assertInstanceOf(UpsParam::class, $param);

        $json = json_decode(json_encode($param));
        $dom = new \DOMDocument();
        $param->xmlSerialize($dom);

        $this->assertNotEmpty($json);
        $this->assertNotEmpty($json->Request);
        $this->assertNotEmpty($dom->getElementsByTagName('Request')->length);
        $this->assertEquals("Locator", $json->Request->RequestAction);
        $this->assertNotEmpty($json->OriginAddress);
        $this->assertNotEmpty($json->OriginAddress->AddressKeyFormat);
        $this->assertEquals("rue", $json->OriginAddress->AddressKeyFormat->AddressLine);
        $this->assertEquals("Lyon", $json->OriginAddress->AddressKeyFormat->PoliticalDivision2);
        $this->assertEquals("69009", $json->OriginAddress->AddressKeyFormat->PostcodePrimaryLow);
        $this->assertEquals("FR", $json->OriginAddress->AddressKeyFormat->CountryCode);
        $this->assertEquals("0623456789", $json->OriginAddress->PhoneNumber);
        $this->assertEquals("fr_FR", $json->Translate->Locale);
        $this->assertEquals("KM", $json->UnitOfMeasurement->Code);
    }
}